/*
 *  Copyright (C) 2004-2005 Mathias Andre <mathias.andre@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <glade/glade.h>
#include <libgnomeui/gnome-ui-init.h>
#include <libgnomevfs/gnome-vfs.h>
#include <libgnome/gnome-i18n.h>
#include <stdlib.h>

#include "nb_notebook.h"
#include "nb_treeview.h"

NbNotebook * notebook;

gint
main (int argc, gchar * argv[])
{
	GnomeProgram * program;

	gtk_set_locale ();
	gtk_init (&argc, &argv);

	gconf_init(argc, argv, NULL);

	program = gnome_program_init (PACKAGE, VERSION,
			LIBGNOMEUI_MODULE, argc, argv,
			GNOME_PARAM_HUMAN_READABLE_NAME, _("Gnome Notebook"),
			NULL);

	if ( !gnome_vfs_init () )
	{
		g_error ("Could not initialize GnomeVFS.\n");
		return EXIT_FAILURE;
	}

	notebook = nb_notebook_new ();
	nb_notebook_load_xml_file (notebook);

	/* show the loaded notes in the treeview */
	nb_treeview_update_with_query (notebook->ui->treeview, NULL);

	gtk_main ();

	g_object_unref (notebook);

	return EXIT_SUCCESS;
}
