/*
 *  Copyright (C) 2004-2005 Mathias Andre <mathias.andre@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef NB_ATTACHMENT_H
#define NB_ATTACHMENT_H

#include <glib-object.h>

#define NB_TYPE_ATTACHMENT           (nb_attachment_get_type ())
#define NB_ATTACHMENT(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), NB_TYPE_ATTACHMENT, NbAttachment))
#define NB_ATTACHMENT_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), NB_TYPE_ATTACHMENT, NbAttachmentClass))
#define NB_IS_ATTACHMENT(obj)        (G_TYPE_CHECK_TYPE ((obj), NB_TYPE_ATTACHMENT))
#define NB_IS_ATTACHMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NB_TYPE_ATTACHMENT))
#define NB_ATTACHMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NB_TYPE_ATTACHMENT, NbAttachmentClass))

typedef struct _NbAttachment NbAttachment;
typedef struct _NbAttachmentClass NbAttachmentClass;

struct _NbAttachment 
{
	GObject parent;

	/* instance members */
	gchar * uri;
	gchar * mime_type;
	gboolean dispose_has_run;
};

struct _NbAttachmentClass
{
	GObjectClass parent;

	/* class members */
};

GType nb_attachment_get_type (void);

NbAttachment *		nb_attachment_new (gchar * uri, gchar * mime_type);

/* methods */
gboolean        	nb_attachment_check (NbAttachment * self);

#endif
