/*
 *  Copyright (C) 2004-2005 Mathias Andre <mathias.andre@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef NB_NOTEVIEW_H
#define NB_NOTEVIEW_H

#include <glib-object.h>
#include <gtk/gtk.h>

#include "nb_note.h"

#define NB_TYPE_NOTEVIEW           (nb_noteview_get_type ())
#define NB_NOTEVIEW(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), NB_TYPE_NOTEVIEW, NbNoteview))
#define NB_NOTEVIEW_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), NB_TYPE_NOTEVIEW, NbNoteviewClass))
#define NB_IS_NOTEVIEW(obj)        (G_TYPE_CHECK_TYPE ((obj), NB_TYPE_NOTEVIEW))
#define NB_IS_NOTEVIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NB_TYPE_NOTEVIEW))
#define NB_NOTEVIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NB_TYPE_NOTEVIEW, NbNoteviewClass))

typedef struct _NbNoteview NbNoteview;
typedef struct _NbNoteviewClass NbNoteviewClass;

struct _NbNoteview 
{
	GObject parent;

	/* instance members */
	GtkWidget * textview;
	GtkWidget * subject;
	GtkWidget * type;
	GtkWidget * date;
	GtkTextTag * note_link;
	gboolean dispose_has_run;
};

struct _NbNoteviewClass
{
	GObjectClass parent;

	/* class members */
};

GType wl_noteview_get_type (void);

NbNoteview * 		nb_noteview_new (GObject * interface);

/* methods */
gchar *			nb_noteview_get_title (NbNoteview * self);
gchar *			nb_noteview_get_text (NbNoteview * self);
gchar *			nb_noteview_get_type_from_combo (NbNoteview * self);
gboolean		nb_noteview_is_empty (NbNoteview * self);
void			nb_noteview_set_fields (NbNoteview * self, NbNote * note);
void			nb_noteview_add_combo_entry (NbNoteview * self, gchar * entry);
void			nb_noteview_remove_combo_entry (NbNoteview * self, gint index);

/* callbacks */
void			nb_noteview_cb_edited (GtkWidget * widget, gpointer user_data);

#endif
